org.osgi.framework.BundleException: Activator start error in bundle org.springframework.osgi.extender [2].

atlassian.com | 7 months ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Stash failed to Start due to Required plugin failed to start - Stash Knowledge Base - Atlassian Documentation

    atlassian.com | 1 year ago
    org.osgi.framework.BundleException: Activator start error in bundle org.springframework.osgi.extender [2].
  2. 0

    [BSERV-4494] Add support for JRE 8 - Atlassian JIRA

    atlassian.com | 1 year ago
    org.osgi.framework.BundleException: Activator start error in bundle org.springframework.osgi.extender [2].
  3. 0

    [BSERV-4494] Add support for JRE 8 - Atlassian JIRA

    atlassian.com | 1 year ago
    org.osgi.framework.BundleException: Activator start error in bundle org.springframework.osgi.extender [2].
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Java 8 final shipped on 18 March 2014. Stash currently fails to start when using it. {noformat:title=server.xml} 2014-03-30 22:23:51,148 ERROR [FelixDispatchQueue] c.a.p.o.c.f.FelixOsgiContainerManager Framework error in bundle org.springframework.osgi.extender org.osgi.framework.BundleException: Activator start error in bundle org.springframework.osgi.extender [2]. at org.apache.felix.framework.Felix.activateBundle(Felix.java:1889) ~[org.apache.felix.framework-3.0.9.jar:na] at java.lang.Thread.run(Thread.java:744) [na:1.8.0] ... 3 frames trimmed Caused by: java.lang.IllegalStateException: Cannot create ConcurrentHashMap - neither JDK 1.5 nor backport-concurrent available on the classpath at org.springframework.core.CollectionFactory.createConcurrentMap(CollectionFactory.java:229) ~[spring-core-4.0.2.RELEASE.jar:4.0.2.RELEASE] at java.lang.Class.newInstance(Class.java:433) ~[na:1.8.0] ... 2 common frames omitted {noformat} {noformat:title=On the UI} A fatal error has occurred The following problems occurred which prevents Atlassian Stash from starting correctly: Required plugin com.atlassian.templaterenderer.api has failed to start Required plugin com.atlassian.stash.stash-jira-integration has failed to start Required plugin com.atlassian.atlassian-failure-cache-plugin has failed to start Required plugin com.atlassian.crowd.embedded.admin has failed to start Required plugin com.atlassian.plugins.atlassian-nav-links-plugin has failed to start Required plugin com.atlassian.templaterenderer.atlassian-template-renderer-velocity1.6-plugin has failed to start Required plugin com.atlassian.oauth.consumer.sal has failed to start Required plugin com.atlassian.stash.stash-rest-common has failed to start Required plugin com.atlassian.stash.stash-rest has failed to start Required plugin com.atlassian.applinks.applinks-plugin has failed to start Required plugin com.atlassian.auiplugin has failed to start Required plugin com.atlassian.oauth.consumer has failed to start Required plugin com.atlassian.upm.atlassian-universal-plugin-manager-plugin has failed to start Required plugin com.atlassian.soy.soy-template-plugin has failed to start Required plugin com.atlassian.activeobjects.activeobjects-plugin has failed to start Required plugin com.atlassian.stash.stash-sal has failed to start Required plugin com.atlassian.stash.stash-embcwd-admin-spi-impl has failed to start Required plugin com.atlassian.plugins.atlassian-plugins-webresource-plugin has failed to start Required plugin com.atlassian.stash.stash-stp-integration has failed to start Required plugin com.atlassian.oauth.serviceprovider.sal has failed to start Required plugin com.atlassian.stash.stash-scm-request-checks has failed to start Required plugin com.atlassian.scala.plugins.scala-2.9-provider-plugin has failed to start Required plugin com.atlassian.plugins.jquery has failed to start Required plugin com.atlassian.plugins.less-transformer-plugin has failed to start Required plugin com.atlassian.oauth.serviceprovider has failed to start Required plugin com.atlassian.stash.stash-scm-git has failed to start Required plugin com.atlassian.stash.stash-nav-links has failed to start Required plugin com.atlassian.stash.stash-velocity-helper has failed to start Required plugin com.atlassian.oauth.admin has failed to start Required plugin com.atlassian.plugins.rest.atlassian-rest-module has failed to start {noformat}

    Atlassian JIRA | 3 years ago | Jason Hinch
    org.osgi.framework.BundleException: Activator start error in bundle org.springframework.osgi.extender [2].
  6. 0

    Java 8 final shipped on 18 March 2014. Stash currently fails to start when using it. {noformat:title=server.xml} 2014-03-30 22:23:51,148 ERROR [FelixDispatchQueue] c.a.p.o.c.f.FelixOsgiContainerManager Framework error in bundle org.springframework.osgi.extender org.osgi.framework.BundleException: Activator start error in bundle org.springframework.osgi.extender [2]. at org.apache.felix.framework.Felix.activateBundle(Felix.java:1889) ~[org.apache.felix.framework-3.0.9.jar:na] at java.lang.Thread.run(Thread.java:744) [na:1.8.0] ... 3 frames trimmed Caused by: java.lang.IllegalStateException: Cannot create ConcurrentHashMap - neither JDK 1.5 nor backport-concurrent available on the classpath at org.springframework.core.CollectionFactory.createConcurrentMap(CollectionFactory.java:229) ~[spring-core-4.0.2.RELEASE.jar:4.0.2.RELEASE] at java.lang.Class.newInstance(Class.java:433) ~[na:1.8.0] ... 2 common frames omitted {noformat} {noformat:title=On the UI} A fatal error has occurred The following problems occurred which prevents Atlassian Stash from starting correctly: Required plugin com.atlassian.templaterenderer.api has failed to start Required plugin com.atlassian.stash.stash-jira-integration has failed to start Required plugin com.atlassian.atlassian-failure-cache-plugin has failed to start Required plugin com.atlassian.crowd.embedded.admin has failed to start Required plugin com.atlassian.plugins.atlassian-nav-links-plugin has failed to start Required plugin com.atlassian.templaterenderer.atlassian-template-renderer-velocity1.6-plugin has failed to start Required plugin com.atlassian.oauth.consumer.sal has failed to start Required plugin com.atlassian.stash.stash-rest-common has failed to start Required plugin com.atlassian.stash.stash-rest has failed to start Required plugin com.atlassian.applinks.applinks-plugin has failed to start Required plugin com.atlassian.auiplugin has failed to start Required plugin com.atlassian.oauth.consumer has failed to start Required plugin com.atlassian.upm.atlassian-universal-plugin-manager-plugin has failed to start Required plugin com.atlassian.soy.soy-template-plugin has failed to start Required plugin com.atlassian.activeobjects.activeobjects-plugin has failed to start Required plugin com.atlassian.stash.stash-sal has failed to start Required plugin com.atlassian.stash.stash-embcwd-admin-spi-impl has failed to start Required plugin com.atlassian.plugins.atlassian-plugins-webresource-plugin has failed to start Required plugin com.atlassian.stash.stash-stp-integration has failed to start Required plugin com.atlassian.oauth.serviceprovider.sal has failed to start Required plugin com.atlassian.stash.stash-scm-request-checks has failed to start Required plugin com.atlassian.scala.plugins.scala-2.9-provider-plugin has failed to start Required plugin com.atlassian.plugins.jquery has failed to start Required plugin com.atlassian.plugins.less-transformer-plugin has failed to start Required plugin com.atlassian.oauth.serviceprovider has failed to start Required plugin com.atlassian.stash.stash-scm-git has failed to start Required plugin com.atlassian.stash.stash-nav-links has failed to start Required plugin com.atlassian.stash.stash-velocity-helper has failed to start Required plugin com.atlassian.oauth.admin has failed to start Required plugin com.atlassian.plugins.rest.atlassian-rest-module has failed to start {noformat}

    Atlassian JIRA | 3 years ago | Jason Hinch [Atlassian]
    org.osgi.framework.BundleException: Activator start error in bundle org.springframework.osgi.extender [2].

    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. org.osgi.framework.BundleException

      Activator start error in bundle org.springframework.osgi.extender [2].

      at org.apache.felix.framework.Felix.activateBundle()
    2. Apache Felix Framework
      Felix.activateBundle
      1. org.apache.felix.framework.Felix.activateBundle(Felix.java:1889)[org.apache.felix.framework-3.0.9.jar:na]
      1 frame
    3. Java RT
      Thread.run
      1. java.lang.Thread.run(Thread.java:744)[na:1.8.0]
      1 frame